<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="PushList" table="tbl_push_list" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<id name="pushId" column="push_id" type="java.lang.Integer">
			<generator class="identity"/>
		</id>
		<property name="userId" 		column="user_id" 		type="java.lang.Integer" />
		<property name="reportId" 		column="report_id" 		type="string" />
		<property name="deviceId" 		column="device_id" 		type="java.lang.Integer" />
		<property name="phoneType" 		column="phone_type" 	type="string" 		length="20"/>
		<property name="showName" 		column="show_name" 		type="string" 		length="20"/>
		<property name="pushType" 		column="push_type" 		type="string" 		length="20"/>
		<property name="pushTitle" 		column="push_title" 	type="string" 		length="100"/>
		<property name="pushContext" 	column="push_context" 	type="string" 		length="200"/>
		<property name="pushLink" 		column="push_link" 		type="string" 		length="100"/>
		<property name="jpushStatus" 	column="jpush_status" 	type="string" 		length="1"/>
		<property name="neteaseStatus" 	column="netease_status" type="string" 		length="1"/>
		<property name="createTime" 	column="create_time" 	type="timestamp" 	update="false"/>
		<property name="isRead" 	column="is_read" 	type="java.lang.Integer" length="1"/>
	</class>
</hibernate-mapping>